Authentication
This endpoint requires authentication using a JWT token or API-KEY in the header.
JWT token in the format: Authorization {token}
Token in the format: x-api-key {api-key}
Path Parameters
The supported protocols include: GMX,
KWENTA, POLYNOMIAL, POLYNOMIAL_L2, GMX_V2_AVAX, GMX_V2, GNS,
GNS_POLY, GNS_BASE, GNS_APE, LEVEL_BNB, LEVEL_ARB, MUX_ARB,
APOLLOX_BNB, AVANTIS_BASE, EQUATION_ARB, LOGX_BLAST, LOGX_MODE,
MYX_ARB, DEXTORO, VELA_ARB, HMX_ARB, SYNTHETIX_V3,
SYNTHETIX_V3_ARB, KTX_MANTLE, CYBERDEX, YFX_ARB, KILOEX_OPBNB,
KILOEX_BNB, KILOEX_MANTA, KILOEX_BASE, ROLLIE_SCROLL, MUMMY_FANTOM,
HYPERLIQUID, SYNFUTURE_BASE, MORPHEX_FANTOM, PERENNIAL_ARB,
BSX_BASE, DYDX, UNIDEX_ARB, VERTEX_ARB, HORIZON_BNB,
HOLDSTATION_ZKSYNC, ZENO_METIS, LINEHUB_LINEA, BMX_BASE, FOXIFY_ARB,
APOLLOX_BASE, GMX_AVAX, SYNTHETIX, DEPERP_BASE, ELFI_ARB, PERPETUAL_OP,
JUPITER, HOLDSTATION_BERA, GMX_SOL, HYPERLIQUID, OSTIUM_ARB
The open order transaction hash
Request Query
The open order log id. Goes with the transaction hash
Trader’s account address. Goes with the transaction hash
Whether the position is long. Goes with the transaction hash
Request Example
curl --request GET \
--url https://api.copin.io/GMX_V2/position/0xe614b4c0eee87864c62ee58d8caf156ab20c414c15212a851054814806513a27 \
--header 'x-api-key: u9jpUfrTAukk45QjWVg7DBtQYxdGgy'
Response:
Unique identifier for the position
Unique key for the position
Block number when position was opened
Timestamp when position was opened
Block number when position was closed
Timestamp when position was closed
Profit and loss including fee
Profit and loss without fee
Return on investment including fee
Return on investment without fee
Whether position is winning
Whether position was liquidated
Number of increase orders
Number of decrease orders
Position status (OPEN, CLOSE)
Timestamp when record was created
Array of orders for this position
Unique identifier for the order
Unique key for the position
Whether order opened position
Whether order closed position
Order type (OPEN, INCREASE, DECREASE, CLOSE, MARGIN_TRANSFERRED)
Timestamp when record was created
Response Example
[
{
"id": "68b013c560ef2b091560eef4",
"account": "0x35C85d656F3465176dD6906f2F6800C121Ee5BD8",
"key": "0x79f8ea29781e33491e36df651b09ee3362f1ef994b56308c50475c3ac4e8839e",
"logId": 28,
"indexToken": "0x09400D9DB990D5ed3f35D7be61DfAEB900Af03C9",
"leverage": 49.974536479476136,
"size": 2449.5118,
"collateralToken": "49.0201",
"collateral": 49.01519799,
"averagePrice": 214.114837,
"fee": 2.4546069900000003,
"realisedPnl": 12.291132520720291,
"pnl": 9.83652553072029,
"realisedRoi": 25.08,
"roi": 20.07,
"isLong": true,
"openBlockNumber": 373122680,
"closeBlockNumber": 373123787,
"durationInSecond": 369,
"orderCount": 2,
"orderIncreaseCount": 1,
"orderDecreaseCount": 1,
"isWin": true,
"isLiquidate": false,
"status": "CLOSE",
"openBlockTime": "2025-08-28T08:30:57.000Z",
"closeBlockTime": "2025-08-28T08:35:34.000Z",
"totalDecreasePnl": 0,
"closePrice": 215.18922,
"protocol": "GMX_V2",
"txHashes": [
"0xc0abc39677962d8357731c438f59aec1337ea801a40730d7d4a7b47f1210c143",
"0xe614b4c0eee87864c62ee58d8caf156ab20c414c15212a851054814806513a27"
],
"createdAt": "2025-08-28T08:31:01.132Z",
"pair": "SOL-USDT",
"updatedAt": "2025-08-28T08:41:06.162Z"
}
]